- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I have a solid3d and would like to fillet the edges, picked by me.
I came across below code, but it filters all the edges of selected Solid3d sol and does fillet.
ObjectId[] ids = new ObjectId[] { sol.ObjectId };
SubentityId subentId = new SubentityId(SubentityType.Null, IntPtr.Zero);
FullSubentityPath path = new FullSubentityPath(ids, subentId);
List<SubentityId> subentIds = new List<SubentityId>();
DoubleCollection radii = new DoubleCollection();
DoubleCollection startSetback = new DoubleCollection();
DoubleCollection endSetback = new DoubleCollection();
using (Autodesk.AutoCAD.BoundaryRepresentation.Brep brep = new Autodesk.AutoCAD.BoundaryRepresentation.Brep(path))
{
foreach (Autodesk.AutoCAD.BoundaryRepresentation.Edge edge in brep.Edges)
{
subentIds.Add(edge.SubentityPath.SubentId);
radii.Add(6.0); startSetback.Add(5.0); endSetback.Add(0.0);
}
}
sol.FilletEdges(subentIds.ToArray(), radii, startSetback, endSetback);
How can I pick edges after selecting the solid ??
Thanks in advance.
Solved! Go to Solution.